BW_UNIX(8)

NAME
bw_unix - UNIX pipe bandwidth

SYNOPSIS
bw_unix [ -P <parallelism> ] [ -W <warmups> ] [ -N <repetitions> ] size

DESCRIPTION
bw_unix creates a pipe and forks a child process which keeps writing data to the pipe as fast as it can. The benchmark measures how fast the parent process can read the data in size-byte chunks from the pipe. Nothing is done with the data in either the parent (reader) or child (writer) processes.

The size specification may end with ``k'' or ``m'' to mean kilobytes (* 1024) or megabytes (* 1024 * 1024).

OUTPUT
Output format is "%0.2f %.2f\n", megabytes, megabytes_per_second, i.e.,

8.00 25.33

MEMORY UTILIZATION
This benchmark should move approximately the reported amount of memory.

ACKNOWLEDGEMENT
Funding for the development of this tool was provided by Sun Microsystems Computer Corporation.

SEE ALSO
lmbench(8).

AUTHOR
Carl Staelin and Larry McVoy

Comments, suggestions, and bug reports are always welcome.